PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Macros | Functions
result.h File Reference
SPA » Utilities » Result handling

`spa/utils/result.h` More...

Go to the source code of this file.

## Macros
#define | SPA_API_RESULT static inline
#define | SPA_ASYNC_BIT (1 << 30)
#define | SPA_ASYNC_SEQ_MASK (SPA_ASYNC_BIT - 1)
#define | SPA_ASYNC_MASK (~SPA_ASYNC_SEQ_MASK)
#define | SPA_RESULT_IS_OK(res)
#define | SPA_RESULT_IS_ERROR(res)
#define | SPA_RESULT_IS_ASYNC(res)
#define | SPA_RESULT_ASYNC_SEQ(res)
#define | SPA_RESULT_RETURN_ASYNC(seq)

## Functions
SPA_API_RESULT const char * | spa_strerror (int err)

## Detailed Description

`spa/utils/result.h`